애플리케이션 자격 증명 취소
DELETE /v1/applications/{application_id}/credentials/{credential_id} · 권한 applications:write
자격 증명을 취소합니다(이유 manual). 취소된 자격 증명은 더 이상 애플리케이션을 인증할 수 없습니다. 취소는 취소할 수 없습니다. 이미 수동으로 취소된 자격 증명에 대해 요청을 반복하면 성공합니다.
요청
| 매개변수 | 위치 | 설명 |
|---|---|---|
application_id |
yol | Application id (app_…). |
credential_id |
path | Credential id (cred_…). |
응답
204 No Content.
오류
| HTTP | code |
언제 |
|---|---|---|
| 401 | unauthenticated |
The key is missing, invalid or revoked. |
| 403 | insufficient_permissions |
The key lacks the required permission. |
| 404 | not_found |
The application or the credential does not exist in this environment. |
| 409 | conflict |
The credential was already revoked for another reason. |
| 503 | service_unavailable |
The credential registry is temporarily unavailable; retry after the Retry-After delay. |
예제
curl -X DELETE https://api.eu.keenauth.com/v1/applications/app_6f8d0cjgbmf0gtn2rg6pscp3cg/credentials/cred_0000000000000000000000001z \
-H "Authorization: Bearer $KEENAUTH_SECRET_KEY"